Cards & Wallets · PaySuite payment page

Refund a payment

Refunds allow you to return funds to the customer's original payment method. Use the refund request to return the full original sales amount — do not send an amount on the refund request — or a smaller amount, by specifying the amount on the refund request. The request requires the reference for the original payment.

Refunds can also be processed from the merchant portal, so you do not have to integrate this call to be able to refund a payment.

Refund the full amount

Send the refund against the original transactionId with an empty transaction object, and we refund everything still refundable on it.

Refund full amount
EndpointDefinition
POST /acceptor/rest/transactions/{instId}/{transactionId}/refund
Request body
{
  "transaction": {}
}
cURL
curl -X POST "{targetEnvironmentPath}/acceptor/rest/transactions/{instId}/{transactionId}/refund" \
  -u "{apiUser}:{apiPassword}" \
  -H "Content-Type: application/json" \
  -d '{
  "transaction": {}
}'
Response
{
  "processing": {
    "model": "MANAGE",
    "authResponse": {
      "statusCode": "00",
      "acquirerName": "Barclays Merchant Services",
      "message": "AUTH CODE:506548",
      "authCode": "506548",
      "gatewayReference": "7117d68440db83713551715c894e8211",
      "gatewayMessage": "AUTH CODE:506548",
      "status": "AUTHORISED"
    },
    "route": "CPE"
  },
  "customFields": {
    "fieldState": []
  },
  "transaction": {
    "transactionId": "10253429317",
    "status": "SUCCESS",
    "stage": "COMPLETE",
    "type": "REFUND",
    "amount": 25.00,
    "consumerSpend": 25.00,
    "currency": "GBP",
    "transactionTime": "2026-08-27T03:13:52.533+01:00",
    "receivedTime": "2026-08-27T03:13:52.533+01:00",
    "channel": "WEB",
    "relatedTransaction": {
      "transactionId": "10253429274",
      "merchantRef": "aReference"
    }
  },
  "outcome": {
    "status": "SUCCESS",
    "reasonCode": "S100",
    "reasonMessage": "Authorised"
  },
  "trace": "Tr8bI6JQDfE9bqbSgz7--KA",
  "link": [
    {
      "href": "https://api.mite.pay360.com/acceptor/rest/transactions/5315271/10253429317",
      "rel": "transaction"
    },
    {
      "href": "https://api.mite.pay360.com/acceptor/rest/transactions/5315271/10253429274",
      "rel": "related-transaction"
    }
  ]
}
{
  "transaction": {
    "status": "FAILED"
  },
  "outcome": {
    "status": "FAILED",
    "reasonCode": "V402",
    "reasonMessage": "Amount exceeds amount refundable"
  },
  "trace": "T6b0vht1WumyMzNvgb2hX6A",
  "link": []
}

Refund part of the amount

Send an amount to refund less than the full sales amount. Repeat the call to refund the rest later; an amount greater than what is left refundable is rejected with V402 Amount exceeds amount refundable.

Refund partial amount
EndpointDefinition
POST /acceptor/rest/transactions/{instId}/{transactionId}/refund
Request body
{
  "transaction": {
    "amount": 10.00,
    "currency": "GBP"
  }
}
cURL
curl -X POST "{targetEnvironmentPath}/acceptor/rest/transactions/{instId}/{transactionId}/refund" \
  -u "{apiUser}:{apiPassword}" \
  -H "Content-Type: application/json" \
  -d '{
  "transaction": {
    "amount": 10.00,
    "currency": "GBP"
  }
}'
Response
{
  "processing": {
    "model": "MANAGE",
    "authResponse": {
      "statusCode": "00",
      "acquirerName": "Barclays Merchant Services",
      "message": "AUTH CODE:236236",
      "authCode": "236236",
      "gatewayReference": "de04d25fc4e1edee8512e9ab84b30d3d",
      "gatewayMessage": "AUTH CODE:236236",
      "status": "AUTHORISED"
    },
    "route": "CPE"
  },
  "customFields": {
    "fieldState": []
  },
  "transaction": {
    "transactionId": "10253429323",
    "status": "SUCCESS",
    "stage": "COMPLETE",
    "type": "REFUND",
    "amount": 10.00,
    "consumerSpend": 10.00,
    "currency": "GBP",
    "transactionTime": "2026-08-27T03:21:00.898+01:00",
    "receivedTime": "2026-08-27T03:21:00.898+01:00",
    "channel": "WEB",
    "relatedTransaction": {
      "transactionId": "10253429274",
      "merchantRef": "aReference"
    }
  },
  "outcome": {
    "status": "SUCCESS",
    "reasonCode": "S100",
    "reasonMessage": "Authorised"
  },
  "trace": "TBvncPFS-maGjJUo4OHz-VQ",
  "link": [
    {
      "href": "https://api.mite.pay360.com/acceptor/rest/transactions/5315271/10253429323",
      "rel": "transaction"
    },
    {
      "href": "https://api.mite.pay360.com/acceptor/rest/transactions/5315271/10253429274",
      "rel": "related-transaction"
    }
  ]
}